# TdApi.SetSupergroupUsername

Package it.ernytech.tdlib

## Class TdApi.SetSupergroupUsername

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetSupergroupUsername

Enclosing class:
  TdApi

    public static class TdApi.SetSupergroupUsername
    extends TdApi.Function

Changes the username of a supergroup or channel, requires creator privileges in the supergroup or channel.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `supergroupId` Identifier of the supergroup or channel.
`java.lang.String` `username` New value of the username.

### Constructor Summary

Constructors
`SetSupergroupUsername()` Default constructor.
`SetSupergroupUsername​(int supergroupId, java.lang.String username)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### supergroupId

    public int supergroupId

Identifier of the supergroup or channel.

#### username

    public java.lang.String username

New value of the username. Use an empty string to remove the username.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetSupergroupUsername

    public SetSupergroupUsername()

Default constructor.

#### SetSupergroupUsername

    public SetSupergroupUsername​(int supergroupId,
                                 java.lang.String username)

Constructor for initialization of all fields.

Parameters:
  `supergroupId` - Identifier of the supergroup or channel.
  `username` - New value of the username. Use an empty string to remove the username.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR